##########
# CollectionBuilder Theme Customization
# values set here help configure details of individual pages in the website
##########

##########
# HOME PAGE
#
# featured image is used in home page banner and in meta markup to represent the collection
# use either an objectid (from an item in this collect), a relative location of an image in this repo, or a full url to an image elsewhere
featured-image: starlacoll033
featured-image-alt-text: # add alt text if using url for featured-image (objectid will be automatic from metadata)
# optional: add extra padding around collection title for a larger image feature. 
home-title-y-padding: 10em # the margin from the top your title portion will appear.
# optional: change position of background image, center, top, bottom
home-banner-image-position: center # Default is top


##########
# Browse PAGE
#
# see _data/browse-config.csv to define the metadata fields that will display.
advanced-search: true # true / false, adds advanced search options to search, which are generated by clicking the advanced search button above the search box (this opens a modal in which the search can be constructed)
faceted-search: true # true / false, adds a field option to the left of the search results that allows users to filter results by metadata field
default-sort-field: # if a value is entered here, it must match one of the field values (first column) in the browse-config.csv file. If left blank or the value doesn't match a value in config-browse.csv's first column, the default sort will be a random sort


##########
# ITEM PAGE
#
# see _data/metadata-config.csv to define the metadata fields that will display.
browse-buttons: true # true / false, adds previous/next arrows to items, but increases build time

##########
# SUBJECTS PAGE
#
subjects-fields: subject;creator # set of fields separated by ; to be featured in the cloud (leave blank or comment out to not generate)
subjects-min: 1 # min size for subject cloud, too many terms = slow load time!
subjects-stopwords: # set of subjects separated by ; that will be removed from display, e.g. boxers;boxing

##########
# LOCATIONS PAGE
#
locations-fields: location # set of fields separated by ; to be featured in the cloud (leave blank or comment out to not generate)
locations-min: 1 # min size for subject cloud, too many terms = slow load time!
locations-stopwords: # set of subjects separated by ; that will be removed from display, e.g. boxers;boxing

##########
# MAP PAGE
#
# see _data/map-config.csv for field display options
auto-center-map: true # have the map auto fit all features into its view
latitude: 46.727485 # to manually center map if not using auto-center-map option
longitude: -117.014185 # to manually center map if not using auto-center-map option
zoom-level: 5 # zoom level for map if not using auto-center-map option
map-base: Esri_WorldStreetMap # set default base map, choose from: Esri_WorldStreetMap, Esri_NatGeoWorldMap, Esri_WorldImagery, OpenStreetMap_Mapnik
map-search: true # not suggested with large collections
map-search-fuzziness: 0.35 # fuzzy search range from 1 = anything to 0 = exact match only
map-cluster: true # suggested for large collection or with many items in same location
map-cluster-radius: 25 # size of clusters, from ~ 10 to 80

##########
# TIMELINE PAGE
#
# set either year-navigation or year-nav-increment to generate a year nav dropdown
year-navigation: #"1900;1905;1910;1915;1920" # manually set years to appear in dropdown nav
year-nav-increment: 5 # set increments to auto gen nav years

##########
# DATA 
# 
# add metadata fields for export in data downloads (tip: paste in first row of csv)
# comma delimited list, reference url is automatic
metadata-export-fields: "title,creator,date,description,subject,location,latitude,longitude,source,identifier,type,format,language,rights,rightsstatement"
# generate a facets list for given fields, comma delimited
metadata-facets-fields: "subject,creator,format"

##########
# Compound Objects 
# 
# Ignore this section if you are not including any compound objects
# Note, like other items, child objects will only appear in visualizations if they have the correct metadata (lat long for map; date for timeline)
# select true below if you'd like your compound object's child objects to appear in any of the pages or features listed
map-child-objects: true # true / false - if true, and if child item has latitude and longitude, child objects will be displayed on map
timeline-child-objects: true # true / false - if true, and if child object has date, child objects will appear as thumbnails on timeline page
data-child-objects: false # true / false - if true, child objects will appear linked in table on data page
browse-child-objects: false # true / false - if true, child objects will appear on browse page and child objects' metadata will populate cloud pages like Subjects page and Locations page, as well as featured terms boxes on the home page
search-child-objects: true # true / false - if true, child objects will appear on on search page along with parent objects


##########
# ADVANCED OPTIONS
#

# NAVBAR COLORS [optional!]
# navbar text color
# Choose from "navbar-light" for use with light background colors, or "navbar-dark" for dark background colors
navbar-color: navbar-dark
# navbar background color
# Choose from bg-primary, bg-secondary, bg-success, bg-danger, bg-warning, bg-info, bg-light, bg-dark, bg-white
navbar-background: bg-dark

# BOOTSWATCH THEMES [optional!]
# You can replace the standard Bootstrap theme with a Bootswatch (https://github.com/thomaspark/bootswatch) option
# Choose from: cerulean; cosmo; cyborg; darkly; flatly; journal; litera; lumen; lux; materia; minty; pulse; sandstone; simplex; sketchy; slate; solar; spacelab; superhero; united; yeti 
bootswatch: # leave blank or comment out for plain bootstrap

# THEME FONTS [optional!]
base-font-size: 1.2em
text-color: "#191919"
link-color: "#0d6efd"
base-font-family: "'Space Mono', monospace"
font-cdn: <link rel="preconnect" href="https://fonts.bunny.net"><link href="https://fonts.bunny.net/css?family=space-mono:400" rel="stylesheet" />

# THEME ICONS [optional!]
# default icons can be overridden or new icons can be added using "icons" object
# the template uses Bootstrap Icons, https://icons.getbootstrap.com/
# find the names on the BI icons page, e.g. file-image
#
# icons: 
#   icon-image: image
#   icon-audio: soundwave
#   icon-video: film
#   icon-pdf: file-pdf
#   icon-record: file-text
#   icon-panorama: image-alt
#   icon-compound-object: collection 
#   icon-multiple: postcard
#   icon-default: file-earmark # fall back icon
#   icon-back-to-top: arrow-up-square
